True

TICK-001515 - ERRORE EXPORT BOM TEMPLATE Modifica Ticket

Assegnato a : SARA FARASO
Email : f.caldon@henoto.com
Team di assistenza : Assistenza Odoo II Livello
Data Creazione : 11/10/2022
Il ticket è Chiuso? : SI
Cliente : INTEREVENT SRL, FEDERICO CALDON
Telefono :
Priorità : Normale
Data Chiusura : 14/10/2022
Categoria : Anomalia

Nell'eseguire l'export della BOM Template di questo prodotto con il template di export Export righe custom 221011 ottengo l'eccezione seguente.

Ho individuato che l'errore è relativo ad una errata compilazione di un record di custom_calc_condition ma non so individuare quale. Tra le altre cose, sarebbe il caso che invece di ottenere l'errore ci fosse un controllo sintattico al SALVA.

Segnalo anche che in fase di export i campi custom_calc_condition_ids e resume_condition sono tradotti entrambi come Condizioni rendendo difficile la comprensione della differenza tra i due.





Errore:
Henoto Server Error

Traceback (most recent call last):
File "/nix/store/4a6kxaq5r715zsl3wxzqyaqx633f2v7d-python3.9-odoo-14.0.20211229/lib/python3.9/site-packages/odoo/api.py", line 793, in get
return field_cache[record._ids[0]]
KeyError: 339

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File "/nix/store/4a6kxaq5r715zsl3wxzqyaqx633f2v7d-python3.9-odoo-14.0.20211229/lib/python3.9/site-packages/odoo/fields.py", line 972, in __get__
value = env.cache.get(record, self)
File "/nix/store/4a6kxaq5r715zsl3wxzqyaqx633f2v7d-python3.9-odoo-14.0.20211229/lib/python3.9/site-packages/odoo/api.py", line 796, in get
raise CacheMiss(record, field)
odoo.exceptions.CacheMiss: 'line_custom_calc.condition(339,).display_name'

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File "/nix/store/4a6kxaq5r715zsl3wxzqyaqx633f2v7d-python3.9-odoo-14.0.20211229/lib/python3.9/site-packages/odoo/api.py", line 793, in get
return field_cache[record._ids[0]]
KeyError: 339

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File "/nix/store/4a6kxaq5r715zsl3wxzqyaqx633f2v7d-python3.9-odoo-14.0.20211229/lib/python3.9/site-packages/odoo/fields.py", line 972, in __get__
value = env.cache.get(record, self)
File "/nix/store/4a6kxaq5r715zsl3wxzqyaqx633f2v7d-python3.9-odoo-14.0.20211229/lib/python3.9/site-packages/odoo/api.py", line 796, in get
raise CacheMiss(record, field)
odoo.exceptions.CacheMiss: 'line_custom_calc.condition(339,).name'

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File "/nix/store/4a6kxaq5r715zsl3wxzqyaqx633f2v7d-python3.9-odoo-14.0.20211229/lib/python3.9/site-packages/odoo/addons/web/controllers/main.py", line 110, in wrap
return f(*args, **kwargs)
File "/nix/store/4a6kxaq5r715zsl3wxzqyaqx633f2v7d-python3.9-odoo-14.0.20211229/lib/python3.9/site-packages/odoo/addons/web/controllers/main.py", line 2007, in index
return self.base(data, token)
File "/addons/base/gi_base_import/models/base_import.py", line 98, in base
import_data = records.export_data(field_names).get('datas',[])
File "/nix/store/4a6kxaq5r715zsl3wxzqyaqx633f2v7d-python3.9-odoo-14.0.20211229/lib/python3.9/site-packages/odoo/models.py", line 961, in export_data
return {'datas': self._export_rows(fields_to_export)}
File "/nix/store/4a6kxaq5r715zsl3wxzqyaqx633f2v7d-python3.9-odoo-14.0.20211229/lib/python3.9/site-packages/odoo/models.py", line 916, in _export_rows
lines2 = value._export_rows(fields2, _is_toplevel_call=False)
File "/nix/store/4a6kxaq5r715zsl3wxzqyaqx633f2v7d-python3.9-odoo-14.0.20211229/lib/python3.9/site-packages/odoo/models.py", line 916, in _export_rows
lines2 = value._export_rows(fields2, _is_toplevel_call=False)
File "/nix/store/4a6kxaq5r715zsl3wxzqyaqx633f2v7d-python3.9-odoo-14.0.20211229/lib/python3.9/site-packages/odoo/models.py", line 916, in _export_rows
lines2 = value._export_rows(fields2, _is_toplevel_call=False)
File "/nix/store/4a6kxaq5r715zsl3wxzqyaqx633f2v7d-python3.9-odoo-14.0.20211229/lib/python3.9/site-packages/odoo/models.py", line 879, in _export_rows
value = record[name]
File "/nix/store/4a6kxaq5r715zsl3wxzqyaqx633f2v7d-python3.9-odoo-14.0.20211229/lib/python3.9/site-packages/odoo/models.py", line 5675, in __getitem__
return self._fields[key].__get__(self, type(self))
File "/nix/store/4a6kxaq5r715zsl3wxzqyaqx633f2v7d-python3.9-odoo-14.0.20211229/lib/python3.9/site-packages/odoo/fields.py", line 1021, in __get__
self.compute_value(recs)
File "/nix/store/4a6kxaq5r715zsl3wxzqyaqx633f2v7d-python3.9-odoo-14.0.20211229/lib/python3.9/site-packages/odoo/fields.py", line 1177, in compute_value
records._compute_field_value(self)
File "/nix/store/4a6kxaq5r715zsl3wxzqyaqx633f2v7d-python3.9-odoo-14.0.20211229/lib/python3.9/site-packages/odoo/models.py", line 4070, in _compute_field_value
getattr(self, field.compute)()
File "/nix/store/4a6kxaq5r715zsl3wxzqyaqx633f2v7d-python3.9-odoo-14.0.20211229/lib/python3.9/site-packages/odoo/models.py", line 1728, in _compute_display_name
names = dict(self.name_get())
File "/nix/store/4a6kxaq5r715zsl3wxzqyaqx633f2v7d-python3.9-odoo-14.0.20211229/lib/python3.9/site-packages/odoo/models.py", line 1746, in name_get
result.append((record.id, convert(record[name], record)))
File "/nix/store/4a6kxaq5r715zsl3wxzqyaqx633f2v7d-python3.9-odoo-14.0.20211229/lib/python3.9/site-packages/odoo/models.py", line 5675, in __getitem__
return self._fields[key].__get__(self, type(self))
File "/nix/store/4a6kxaq5r715zsl3wxzqyaqx633f2v7d-python3.9-odoo-14.0.20211229/lib/python3.9/site-packages/odoo/fields.py", line 1021, in __get__
self.compute_value(recs)
File "/nix/store/4a6kxaq5r715zsl3wxzqyaqx633f2v7d-python3.9-odoo-14.0.20211229/lib/python3.9/site-packages/odoo/fields.py", line 1177, in compute_value
records._compute_field_value(self)
File "/nix/store/4a6kxaq5r715zsl3wxzqyaqx633f2v7d-python3.9-odoo-14.0.20211229/lib/python3.9/site-packages/odoo/models.py", line 4070, in _compute_field_value
getattr(self, field.compute)()
File "/addons/base/gi_bom_template/models/mrp_bom_line.py", line 358, in get_condition_name
rec.name = concatenation_logic + "[" + first_term + " " + operator + " " + second_term + "] "
TypeError: can only concatenate str (not "bool") to str

Storico messaggi e comunicazioni

To install this Web App in your iPhone/iPad press and then Add to Home Screen.